Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class RegistryNode

    java.lang.Object
      |
      +--com.caucho.util.RegistryNode

public class RegistryNode
extends java.lang.Object

Method Summary
`void` | `append(RegistryNode next)`
`java.lang.Object` | `clone()`
`boolean` | `getBoolean()`
`boolean` | `getBoolean(java.lang.String path, boolean deflt)`
`QDate` | `getDate()`
`QDate` | `getDate(java.lang.String path, QDate deflt)`
`double` | `getDouble()`
`double` | `getDouble(java.lang.String path, double deflt)`
`java.lang.String` | `getFilename()`
`RegistryNode` | `getFirstChild()`
`int` | `getInt()`
`int` | `getInt(java.lang.String path, int deflt)`
`int` | `getLine()`
`java.lang.String` | `getName()`
`RegistryNode` | `getParent()`
`long` | `getPeriod()`
`long` | `getPeriod(java.lang.String path, long deflt)`
`java.lang.String` | `getString()`
`java.lang.String` | `getString(java.lang.String path, java.lang.String deflt)`
`java.lang.String` | `getValue()`
`boolean` | `isModified()`
`java.util.Iterator` | `iterator()`
`RegistryNode` | `lookup(java.lang.String path)`
`void` | `print(WriteStream os)`
`java.util.Iterator` | `select(java.lang.String key)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isModified

    public boolean isModified()

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()

### getFilename

    public java.lang.String getFilename()

### getLine

    public int getLine()

### getParent

    public RegistryNode getParent()

### getFirstChild

    public RegistryNode getFirstChild()

### append

    public void append(RegistryNode next)

### getBoolean

    public boolean getBoolean()

### getBoolean

    public boolean getBoolean(java.lang.String path,
                              boolean deflt)

### lookup

    public RegistryNode lookup(java.lang.String path)

### getInt

    public int getInt()

### getInt

    public int getInt(java.lang.String path,
                      int deflt)

### getDouble

    public double getDouble()

### getDouble

    public double getDouble(java.lang.String path,
                            double deflt)

### getString

    public java.lang.String getString()

### getString

    public java.lang.String getString(java.lang.String path,
                                      java.lang.String deflt)

### getDate

    public QDate getDate()

### getDate

    public QDate getDate(java.lang.String path,
                         QDate deflt)

### getPeriod

    public long getPeriod()

### getPeriod

    public long getPeriod(java.lang.String path,
                          long deflt)

### iterator

    public java.util.Iterator iterator()

### select

    public java.util.Iterator select(java.lang.String key)

### print

    public void print(WriteStream os)
               throws java.io.IOException

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD